Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

## Class CashAccount40

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_09.CashAccount40

    public class CashAccount40
    extends java.lang.Object

Java class for CashAccount40 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashAccount40">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}AccountIdentification4Choice" minOccurs="0"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashAccountType2Choice" minOccurs="0"/>
             <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Max70Text" minOccurs="0"/>
             <element name="Prxy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ProxyAccountIdentification1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ccy`
`protected AccountIdentification4Choice` `id`
`protected java.lang.String` `nm`
`protected ProxyAccountIdentification1` `prxy`
`protected CashAccountType2Choice` `tp`

### Constructor Summary

Constructors
`CashAccount40()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCcy()` Gets the value of the ccy property.
`AccountIdentification4Choice` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`ProxyAccountIdentification1` `getPrxy()` Gets the value of the prxy property.
`CashAccountType2Choice` `getTp()` Gets the value of the tp property.
`void` `setCcy​(java.lang.String value)` Sets the value of the ccy property.
`void` `setId​(AccountIdentification4Choice value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setPrxy​(ProxyAccountIdentification1 value)` Sets the value of the prxy property.
`void` `setTp​(CashAccountType2Choice value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected AccountIdentification4Choice id

#### tp

    protected CashAccountType2Choice tp

#### ccy

    protected java.lang.String ccy

#### nm

    protected java.lang.String nm

#### prxy

    protected ProxyAccountIdentification1 prxy

### Constructor Detail

#### CashAccount40

    public CashAccount40()

### Method Detail

#### getId

    public AccountIdentification4Choice getId()

Gets the value of the id property.

Returns:
  possible object is `AccountIdentification4Choice`

#### setId

    public void setId​(AccountIdentification4Choice value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `AccountIdentification4Choice`

#### getTp

    public CashAccountType2Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `CashAccountType2Choice`

#### setTp

    public void setTp​(CashAccountType2Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CashAccountType2Choice`

#### getCcy

    public java.lang.String getCcy()

Gets the value of the ccy property.

Returns:
  possible object is `String`

#### setCcy

    public void setCcy​(java.lang.String value)

Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getPrxy

    public ProxyAccountIdentification1 getPrxy()

Gets the value of the prxy property.

Returns:
  possible object is `ProxyAccountIdentification1`

#### setPrxy

    public void setPrxy​(ProxyAccountIdentification1 value)

Sets the value of the prxy property.

Parameters:
  `value` - allowed object is `ProxyAccountIdentification1`